Skip to main content

Analytics Overview

Get KPI summary: revenue, donations, sessions, live hours.

GET
/analytics/overview
x-api-key<token>

API key used for authentication

In: header

Query Parameters

days?integer

Number of days to look back (1-365, default 30)

Default30
Range1 <= value <= 365
startDate?string

Start date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
endDate?string

End date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
timezone?string

IANA timezone (e.g. America/New_York)

Default"UTC"
platform?string

Filter by platform (e.g. twitch, youtube)

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/analytics/overview"
{
  "totals": {
    "revenue": 500,
    "donationRevenue": 500,
    "donationsCount": 25
  },
  "sessions": {
    "count": 10,
    "liveMinutes": 1200,
    "liveHours": 20
  },
  "kpis": {
    "avgRevenuePerSession": 50,
    "revenuePerLiveHour": 25
  }
}
{
  "error": "string",
  "code": "string",
  "details": {}
}